function position(xoffset,yoffset,fenetres)
%position
% by itself, this program tiles all the opened graphics to
% fill up the screen
% Franais: 
% Ce programme positionne les figures prsentes dans l'cran
%
%position(xoffset,yoffset)
% Tiles all the graphics to fill up the screen, starting
% from the bottom left of the page at position (xoffset,yoffset)
% leaving an empty margin
%
%  GGB 25-09-2000
%
%The function positionOrig reposition figures at thier original place
% SEE ALSO : positionOrig

%  GGB 27-03-99, 2h12
%  modif 16-08-2000 : tout cran, autant de figures qu'il y en a
%  modif 25-09-2000 : Si 2 figures, 1 ligne

set(0,'Units','normalized')
Screen = get(0,'ScreenSize');

if nargin < 3
	fenetres = get(0,'children');
   fenetres = sort(fenetres);
end


n_fig = length(fenetres);

if n_fig <= 6
   nfigrow = 2;
else
   nfigrow = ceil(sqrt(n_fig));
end
nfigcol = ceil(n_fig/nfigrow);

if n_fig == 2
   nfigcol = 2;
end
   
   % vecteur des positions
    % Corrections pour ne pas que la fentre sorte de l'cran
    % faite manuellement (_o_) 
    border = 0.0039;
    header = 0.0833;
% Offset
if nargin < 1
	xoffset = 0;	% offset  partir de la gauche
   if nargin < 2
      yoffset = 0;	% ofset  partir du bas
   end
end

hspace = Screen(3)/100;
vspace = Screen(4)/100;

	WinWd = (Screen(3)-xoffset)/nfigcol -2*(border+hspace);
   WinHt = (Screen(4)-yoffset)/nfigrow - (header + 2*vspace);
   
   
for k= 1 : n_fig
   x = 1 - (rem(k-1,nfigcol) + 1)*( WinWd + 2*border + hspace);
   y = 1 - ( (1 + floor( (k-1)/nfigcol) ) * (WinHt + 2*border + vspace + header) );
   pos = [ x y WinWd WinHt ];
   set(fenetres(k),'Units','normalized')
   figure(fenetres(k));
	set(fenetres(k),'Position',pos);
end