function visudspind(varargin)

%Fuonction visudspind(signal1,signal2,...)
% Plots the PSD of the given input signals (vectors)
% on a sample axis ([0,N_sig/2+1] for each signal).
%
% Signals are not assumed to have the same sampling frequency
% or same number of samples
% Uses different color (6) for any signal
%
% Affichage de la DSP d'un signal (priodogramme)
% dans une nouvelle figure, avec les indices en abcsisses
%	Entres:   signal1, signal2,... : signaux temporels
% Remarque : On est ici en noir et blanc, 6 types de traits diffrentss
% 
%SEE ALSO: visudsp, visusigspectro, visuspectro

% Cellule contenant les couleurs
couleur= {'k','k-.','k--','ko','k+-','k:'};
couleur= {'b','r','g','k','y','m'};


figure
hold on;
title('DSP en dB entre 0 et pi (fe/2)')

grid on

nb_filt = length(varargin);

for k = 1:nb_filt
	N = length(varargin{k});
	period = 1/N*(abs(fft(varargin{k}))).^2;
	plot((1:floor(N/2)+1),10*log10(period(1:floor(N/2)+1)),couleur{rem(k-1,7)+1})
end

position;
