function visufiltNoWin(varargin)

% fonction visufiltNoWin(filtre1,filtre2,...)
% Plots in the current axis the modulus of 
% input Impulse responses of filters (e.g. filter banks IR)
%
% Affichage du module de filtres
% dans la figure courante
%	Entres:   filtre1, filtre2,... : RI des filtres
% Remarque : il y a 7 couleurs diffrentes
% 
%SEE ALSO : visufilt
%
N = 0;
nb_filt = length(varargin);
for k = 1:nb_filt
    N = max(N,length(varargin{k}));
end    
N = max(N,512);

% Cellule contenant les couleurs
couleur= {'b','r','k','g','c','y','m'};

% Axe des pulsations
axf = (0:N-1)*2*pi/N;

hold on;
title('Module en dB')
set(gca,'XTick',0:pi/4:2*pi)
set(gca,'XTickLabel',{'0','pi/4','pi/2','3pi/4','pi',...
	'5pi/4','3pi/2','7pi/4','2*pi'})
grid on

nb_filt = length(varargin);

for k = 1:nb_filt
	module = abs(fft(varargin{k},N));
	plot(axf(1:floor(N/2)+1),20*log10(module(1:floor(N/2)+1)+1e-16),couleur{rem(k-1,7)+1})

end

hold off,

