function visumodul(varargin)

% fonction visumodul(filtre1,filtre2,...)
%
% Affichage du module de filtres
% dans une nouvelle figure
%	Entres:   filtre1, filtre2,... : RI des filtres
% Remarque : On est ici en noir et blanc, 6 types de traits diffrents
% 

Nb = 128;

% Cellule contenant les couleurs
couleur= {'k','k-.','k--','ko','k+-','k:'};

% Axe des pulsations
axf = (0:Nb-1)*2*pi/Nb;

figure
hold on;
title('Module en dB')

set(gca,'XTick',0:pi/4:2*pi)
set(gca,'XTickLabel',{'0','pi/4','pi/2','3pi/4','pi',...
	'5pi/4','3pi/2','7pi/4','2*pi'})
%grid on

nb_filt = length(varargin);

for k = 1:nb_filt
	period = abs(fft(varargin{k},Nb));
	plot(axf,20*log10(period+1e-15),couleur{rem(k-1,7)+1})
end

position;
