function visusigspectrog(signal,Nfft,Nover)

% function visusigspectrog(signal,Nfft,Nover)
%
% plots time waveform horizontally, frequencial waveform vertically
% and spectrogram with the corresponding axes.
% requires 'specgram' and 'blackman' functions
%
% Affichage de l'allure temporelle, frquentielle et temps frquence
% de signal dans une nouvelle figure
% Remarque : Ncessite la time-frequency Toolbox

N = length(signal);

% Axe des pulsations
axt = (0:N-1)/N;
axf = (0:N-1)/N;
tfsig = 20*log10(abs(fft(signal)));

figure
clf
offset = 0.04;
subplot('position',[ 1/5+offset 0+offset 4/5-2*offset 1/4-2*offset ])
	plot(axt,signal)
	set(gca,'XLim',[axt(1) axt(end)])
	set(gca,'Xticklabel',[])
	grid on
subplot('position',[0+offset 1/4+offset 1/5-2*offset 3/4-2*offset])
	plot(reverse(-tfsig(1:floor(end/2))),reverse(axf(1:floor(end/2))))
	set(gca,'XLim',[-max(tfsig) -min(tfsig)])
	set(gca,'Xtick',[-max(tfsig) -min(tfsig)])
	set(gca,'Xticklabel',{num2str(floor(max(tfsig))),num2str((min(tfsig)))})
	set(gca,'Yticklabel',[])
	grid on
subplot('position',[1/5+offset 1/4+offset 4/5-2*offset 3/4-2*offset])
	colormap(cool)
	wind = blackman(Nfft);
	specgram(signal,Nfft,1,wind,Nover)
    
function sigreverse = reverse(signal)

N = length(signal);
sigreverse = zeros(1,N);
sigreverse = signal(N:-1:1);